Bug 1412280 - Manipulation of custom_custom attributes on provider class Provider fails
Summary: Manipulation of custom_custom attributes on provider class Provider fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Šimon Lukašík
QA Contact: Martin Kourim
URL:
Whiteboard:
Depends On: 1411940
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 16:49 UTC by Satoe Imaishi
Modified: 2017-02-27 19:20 UTC (History)
3 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1411940
Environment:
Last Closed: 2017-02-27 19:20:57 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-16 15:10:55 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/f238551bf8630431cd1df7acd15bba9ed1128c37

commit f238551bf8630431cd1df7acd15bba9ed1128c37
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Tue Nov 22 08:24:02 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 16 10:05:32 2017 -0500

    Merge pull request #12522 from isimluk/rhbz#1392594
    
    Some providers are not associated with custom_attributes
    (cherry picked from commit 715a2782927b1904346c1c3b6f11da4ce7a39deb)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412280

 .../api/subcollections/custom_attributes.rb        | 14 +++++++--
 spec/requests/api/providers_spec.rb                | 34 ++++++++++++++++++++++
 2 files changed, 45 insertions(+), 3 deletions(-)

Comment 3 Šimon Lukašík 2017-01-18 12:06:59 UTC
In euwe since: 82d6df6a1c6a093f1060453d21935843886776a1

Comment 4 Martin Kourim 2017-02-14 09:35:55 UTC
Verified by adding custom attribute to Satellite 6 provider:

POST /api/providers/1/custom_attributes?provider_class=provider
{
  "action": "add",
  "name": "ca_name_001",
  "value": "ca_value_001"
}


response:
{
  "error": {
    "kind": "bad_request",
    "message": "ManageIQ::Providers::Foreman::Provider does not support management of custom attributes",
    "klass": "Api::BadRequestError"
  }
}

Comment 6 errata-xmlrpc 2017-02-27 19:20:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.